<?php   
define('IN_ECS', true);
/* 支付方式代碼 */

require(dirname(__FILE__) . '/includes/init.php');
require(ROOT_PATH . 'includes/lib_payment.php');
require(ROOT_PATH . 'includes/lib_order.php');

   
    $sql = "SELECT COUNT(*) FROM " . $ecs->table('payment') . " WHERE pay_code ='smilepay711c2c'  AND enabled = 1";
    if ($db->getOne($sql) == 0)
    {
        $msg = $_LANG['pay_disabled'];
    }
    else
    {
        $plugin_file = 'includes/modules/payment/smilepay711c2c.php';

        /* 檢查插件文件是否存在，如果存在則驗證支付是否成功，否則則返回失敗信息 */
        if (file_exists($plugin_file)){
            /* 根據支付方式代碼創建支付類的對象並調用其響應操作方法 */
            include_once($plugin_file);            
            $payment = new smilepay711c2c();
            $payment->updateMap();
            $msg =  sprintf($_LANG['smilepay711c2c_custom_bill'],$_REQUEST['Data_id'],$_REQUEST['Pur_name'],$_REQUEST['Mobile_number'],$_REQUEST['Storename'],$_REQUEST['Storeaddress'],$_REQUEST['Amount']);
			$mitycat_data_id=$_REQUEST['Data_id'];
			$sql = 'SELECT order_id FROM ' . $GLOBALS['ecs']->table('order_info'). " WHERE order_sn = '$mitycat_data_id'";
			$order_id = $GLOBALS['db']->getOne($sql);      
            $msg_2 =  sprintf($_LANG['smilepay711c2c_custom_bill_2'],$_REQUEST['Pur_name'],$_REQUEST['Mobile_number'],$_REQUEST['Storename'],$_REQUEST['Storeaddress'],$_REQUEST['Amount']);
			update_order($order_id, array('order_status' => OS_CONFIRMED, 'confirm_time' => gmtime(),'to_buyer'=>$msg_2));
		}
    }

//var_dump($_REQUEST);
assign_template();
$position = assign_ur_here();
$smarty->assign('page_title', $position['title']);   // 页面标题
$smarty->assign('ur_here',    $position['ur_here']); // 当前位置
$smarty->assign('page_title', $position['title']);   // 页面标题
$smarty->assign('ur_here',    $position['ur_here']); // 当前位置
$smarty->assign('helps',      get_shop_help());      // 网店帮助

$smarty->assign('message',    $msg);
$smarty->assign('shop_url',   $ecs->url());

$smarty->display('respond.dwt');
 
?>