<?php   
define('IN_ECS', true);
/* 支付方式代碼 */

require(dirname(__FILE__) . '/includes/init.php');
require(ROOT_PATH . 'includes/lib_payment.php');
require(ROOT_PATH . 'includes/lib_order.php');

$pay_code = !empty($_REQUEST['code']) ? trim($_REQUEST['code']) : ''; 

/* 參數是否為空 */
if (empty($pay_code))
{
    $msg = $_LANG['pay_not_exist'];
}
else                                                                 
{
        /* 檢查code裡面有沒有問號 */
    if (strpos($pay_code, '?') !== false)
    {
        $arr1 = explode('?', $pay_code);
        $arr2 = explode('=', $arr1[1]);

        $_REQUEST['code']   = $arr1[0];
        $_REQUEST[$arr2[0]] = $arr2[1];
        $_GET['code']       = $arr1[0];
        $_GET[$arr2[0]]     = $arr2[1];
        $pay_code           = $arr1[0];
    }
    
	if($_REQUEST['Classif']!="")
	{
		$sql = "SELECT COUNT(*) FROM " . $ecs->table('payment') . " WHERE pay_code = '$pay_code' AND enabled = 1";
		if ($db->getOne($sql) == 0)
		{
			$msg = $_LANG['pay_disabled'];
		}
		else
		{
			$plugin_file = 'includes/modules/payment/' . $pay_code . '.php';
	
			/* 檢查插件文件是否存在，如果存在則驗證支付是否成功，否則則返回失敗信息 */
			if (file_exists($plugin_file)){
				/* 根據支付方式代碼創建支付類的對象並調用其響應操作方法 */
				include_once($plugin_file);
	
				$payment = new $pay_code();            
				($payment->respond()) ? $pay_result="1" : $pay_result="0";
				
				if($pay_result == "0"){
				  $msg =  $_LANG['pay_fail']."<BR />". iconv("big5","UTF-8", $_REQUEST['Errdesc']);
				}
				if($pay_result == "1"){            
				  $msg           = $_LANG[$pay_code]."<BR />".$_LANG['pay_success']."<BR />";   
                  //smilepay_c2cup start
                  $order=order_info(0,$_REQUEST['Data_id']);

                  $shipping= shipping_info($order['shipping_id']);
                  if( $shipping['shipping_code']== 'smilepay_c2cup')
                  {
                    include_once(ROOT_PATH . 'includes/modules/shipping/smilepay_c2cup.php');
                    $smilepay_c2cupObj=new smilepay_c2cup();
                    $shipping_text=$smilepay_c2cupObj->run_order_place_and_get_content($order['order_id']);
                    $msg .= '<div style=" border:1px dashed #ddd;margin-top:20px;">'. $shipping_text. '</div>';
                  }
                  elseif( $shipping['shipping_code']== 'smilepay_b2cup')
                  {
                    include_once(ROOT_PATH . 'includes/modules/shipping/smilepay_b2cup.php');
                    $smilepay_b2cupObj=new smilepay_b2cup();
                    $shipping_text=$smilepay_b2cupObj->run_order_place_and_get_content($order['order_id']);
                    $msg .= '<div style=" border:1px dashed #ddd;margin-top:20px;">'. $shipping_text. '</div>';
                  }
                  //smilepay_c2cup end           
				  //$fee            = sprintf($_LANG[$pay_code.'_fee'],$_REQUEST['Fee']);              
				}
			}
			else{
				$msg = iconv("big5","UTF-8", $_REQUEST['Errdesc']);
			}
		}
	}	
	else
	{$msg = "刷卡交易完成，稍後將回傳刷卡結果。";}		
    
}  
//var_dump($_REQUEST);
assign_template();
$position = assign_ur_here();
$smarty->assign('page_title', $position['title']);   // 页面标题
$smarty->assign('ur_here',    $position['ur_here']); // 当前位置
$smarty->assign('page_title', $position['title']);   // 页面标题
$smarty->assign('ur_here',    $position['ur_here']); // 当前位置
$smarty->assign('helps',      get_shop_help());      // 网店帮助

$smarty->assign('message',    $msg);
$smarty->assign('shop_url',   $ecs->url());

$smarty->display('respond.dwt');
 
?>